Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19077/?format=api
{ "ob_id": 19077, "uuid": "7bf0a5c743634a8085bf18dbc65ac507", "title": "QESDI: 30 year surface meteorology climatologies from CRU TS3.0 data", "abstract": "QUEST projects both used and produced an immense variety of global data sets that needed to be shared efficiently between the project teams. These global synthesis data sets are also a key part of QUEST's legacy, providing a powerful way of communicating the results of QUEST among and beyond the UK Earth System research community.\r\n\r\nThis dataset contains 30 year surface meteorology climatologies from CRU TS3.0 data. Data includes parameters such as temperature, water vapour and precipitation.", "keywords": "QUEST, QESDI, climatology", "publicationState": "published", "dataPublishedTime": "2009-08-25T10:20:36", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/19078/?format=api", "dataPath": "/badc/quest/data/qesdi/cru_v3_clim30", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 298648327, "numberOfFiles": 9, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5001/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/27599/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50512/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51157/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51158/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55780/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55781/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55782/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55783/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55784/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55785/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55786/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55787/?format=api" ], "dataLineage": "Data delivered to BADC", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6747/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6742/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71823/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71825/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71826/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71827/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71829/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72547/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71828/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/19193/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }